# etcd – get info from an etcd server

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Retrieves data from an etcd server

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms list / elements=string / required |  |  | the list of keys to lookup on the etcd server
url - | Default: "http://127.0.0.1:4001" | env:ANSIBLE_ETCD_URL | Environment variable with the url for the etcd server
validate_certs boolean | Default: "yes" |  | toggle checking that the ssl certificates are valid, you normally only want to turn this off with self-signed certs.
version - | Default: "v1" | env:ANSIBLE_ETCD_VERSION | Environment variable with the etcd protocol version

## Examples

    - name: "a value from a locally running etcd"
      debug: msg={{ lookup('etcd', 'foo/bar') }}

    - name: "values from multiple folders on a locally running etcd"
      debug: msg={{ lookup('etcd', 'foo', 'bar', 'baz') }}

    - name: "since Ansible 2.5 you can set server options inline"
      debug: msg="{{ lookup('etcd', 'foo', version='v2', url='http://192.168.0.27:4001') }}"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_raw list / elements=strings |  | list of values associated with input keys

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]
- This lookup is maintained by the Ansible Community. [community]

### Authors

- Jan-Piet Mens (@jpmens)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.